Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getHealthAlerts({
networkId: "string",
});
export const merakiNetworksHealthAlertsExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_health_alerts(network_id="string")
pulumi.export("merakiNetworksHealthAlertsExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetHealthAlerts(ctx, &networks.GetHealthAlertsArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksHealthAlertsExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetHealthAlerts.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksHealthAlertsExample"] = example.Apply(getHealthAlertsResult => getHealthAlertsResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetHealthAlertsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getHealthAlerts(GetHealthAlertsArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksHealthAlertsExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getHealthAlerts
arguments:
networkId: string
outputs:
merakiNetworksHealthAlertsExample: ${example.items}
Using getHealthAlerts
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getHealthAlerts(args: GetHealthAlertsArgs, opts?: InvokeOptions): Promise<GetHealthAlertsResult>
function getHealthAlertsOutput(args: GetHealthAlertsOutputArgs, opts?: InvokeOptions): Output<GetHealthAlertsResult>def get_health_alerts(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetHealthAlertsResult
def get_health_alerts_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetHealthAlertsResult]func GetHealthAlerts(ctx *Context, args *GetHealthAlertsArgs, opts ...InvokeOption) (*GetHealthAlertsResult, error)
func GetHealthAlertsOutput(ctx *Context, args *GetHealthAlertsOutputArgs, opts ...InvokeOption) GetHealthAlertsResultOutput> Note: This function is named GetHealthAlerts in the Go SDK.
public static class GetHealthAlerts
{
public static Task<GetHealthAlertsResult> InvokeAsync(GetHealthAlertsArgs args, InvokeOptions? opts = null)
public static Output<GetHealthAlertsResult> Invoke(GetHealthAlertsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetHealthAlertsResult> getHealthAlerts(GetHealthAlertsArgs args, InvokeOptions options)
public static Output<GetHealthAlertsResult> getHealthAlerts(GetHealthAlertsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getHealthAlerts:getHealthAlerts
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getHealthAlerts Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Health Alerts Item> - Array of ResponseNetworksGetNetworkHealthAlerts
- Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Health Alerts Item - Array of ResponseNetworksGetNetworkHealthAlerts
- Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Health Alerts Item> - Array of ResponseNetworksGetNetworkHealthAlerts
- network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Health Alerts Item[] - Array of ResponseNetworksGetNetworkHealthAlerts
- network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Health Alerts Item] - Array of ResponseNetworksGetNetworkHealthAlerts
- network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseNetworksGetNetworkHealthAlerts
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetHealthAlertsItem
GetHealthAlertsItemScope
- Applications
List<Get
Health Alerts Item Scope Application> - Applications related to the alert
- Devices
List<Get
Health Alerts Item Scope Device> - Devices related to the alert
- Peers
List<Get
Health Alerts Item Scope Peer> - Peers related to the alert
- Applications
[]Get
Health Alerts Item Scope Application - Applications related to the alert
- Devices
[]Get
Health Alerts Item Scope Device - Devices related to the alert
- Peers
[]Get
Health Alerts Item Scope Peer - Peers related to the alert
- applications
List<Get
Health Alerts Item Scope Application> - Applications related to the alert
- devices
List<Get
Health Alerts Item Scope Device> - Devices related to the alert
- peers
List<Get
Health Alerts Item Scope Peer> - Peers related to the alert
- applications
Get
Health Alerts Item Scope Application[] - Applications related to the alert
- devices
Get
Health Alerts Item Scope Device[] - Devices related to the alert
- peers
Get
Health Alerts Item Scope Peer[] - Peers related to the alert
- applications
Sequence[Get
Health Alerts Item Scope Application] - Applications related to the alert
- devices
Sequence[Get
Health Alerts Item Scope Device] - Devices related to the alert
- peers
Sequence[Get
Health Alerts Item Scope Peer] - Peers related to the alert
- applications List<Property Map>
- Applications related to the alert
- devices List<Property Map>
- Devices related to the alert
- peers List<Property Map>
- Peers related to the alert
GetHealthAlertsItemScopeApplication
GetHealthAlertsItemScopeDevice
- Clients
List<Get
Health Alerts Item Scope Device Client> - Clients related to the device
- Lldp
Get
Health Alerts Item Scope Device Lldp - Lldp information
- Mac string
- The mac address of the device
- Name string
- Name of the device
- Product
Type string - Product type of the device
- Serial string
- Serial number of the device
- Url string
- URL to the device
- Clients
[]Get
Health Alerts Item Scope Device Client - Clients related to the device
- Lldp
Get
Health Alerts Item Scope Device Lldp - Lldp information
- Mac string
- The mac address of the device
- Name string
- Name of the device
- Product
Type string - Product type of the device
- Serial string
- Serial number of the device
- Url string
- URL to the device
- clients
List<Get
Health Alerts Item Scope Device Client> - Clients related to the device
- lldp
Get
Health Alerts Item Scope Device Lldp - Lldp information
- mac String
- The mac address of the device
- name String
- Name of the device
- product
Type String - Product type of the device
- serial String
- Serial number of the device
- url String
- URL to the device
- clients
Get
Health Alerts Item Scope Device Client[] - Clients related to the device
- lldp
Get
Health Alerts Item Scope Device Lldp - Lldp information
- mac string
- The mac address of the device
- name string
- Name of the device
- product
Type string - Product type of the device
- serial string
- Serial number of the device
- url string
- URL to the device
- clients
Sequence[Get
Health Alerts Item Scope Device Client] - Clients related to the device
- lldp
Get
Health Alerts Item Scope Device Lldp - Lldp information
- mac str
- The mac address of the device
- name str
- Name of the device
- product_
type str - Product type of the device
- serial str
- Serial number of the device
- url str
- URL to the device
- clients List<Property Map>
- Clients related to the device
- lldp Property Map
- Lldp information
- mac String
- The mac address of the device
- name String
- Name of the device
- product
Type String - Product type of the device
- serial String
- Serial number of the device
- url String
- URL to the device
GetHealthAlertsItemScopeDeviceClient
- Mac string
- Mac address of the client
- Mac string
- Mac address of the client
- mac String
- Mac address of the client
- mac string
- Mac address of the client
- mac str
- Mac address of the client
- mac String
- Mac address of the client
GetHealthAlertsItemScopeDeviceLldp
- Port
Id string - Port Id
- Port
Id string - Port Id
- port
Id String - Port Id
- port
Id string - Port Id
- port_
id str - Port Id
- port
Id String - Port Id
GetHealthAlertsItemScopePeer
- Network
Get
Health Alerts Item Scope Peer Network - Network of the peer
- Url string
- URL to the peer
- Network
Get
Health Alerts Item Scope Peer Network - Network of the peer
- Url string
- URL to the peer
- network
Get
Health Alerts Item Scope Peer Network - Network of the peer
- url String
- URL to the peer
- network
Get
Health Alerts Item Scope Peer Network - Network of the peer
- url string
- URL to the peer
- network
Get
Health Alerts Item Scope Peer Network - Network of the peer
- url str
- URL to the peer
- network Property Map
- Network of the peer
- url String
- URL to the peer
GetHealthAlertsItemScopePeerNetwork
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
